MY ACCOUNT  |  JOIN NOW  |  BLOG

online course

Technology Requirements

In order to access the online portion of our courses, you must use a computer with a compatible web browser. Microsoft Windows supports most web browsers that are compatible with the course, i.e. Mozilla Firefox or Internet Explorer. Macintosh supports Mozilla Firefox which is compatible with the course, the use of Safari is not recommended.

Browser/Plugin Requirements

To ensure that the operating system and browser that you will be using to work on the course are supported by Cengage please confirm at the following sites under "Is My System Compatible?"

For Accounting: http://support.cengage.com/victoriaweb/ArticlePage?ProductId=1-1TD4IY9

For Law: http://support.cengage.com/victoriaweb/ArticlePage?ProductId=1000131

Other browsers and operating systems may work well; however, the listed configurations are the only configurations that are tested and supported by CengageNow/MindTap.

Please note that depending on the course that you take with us, some browser plug-ins may be necessary. To view portions of certain course sites, you may need one or more of the plug-ins listed on the websites above. Browsers will generally automatically download any plug-in required by a particular page. Those that may be required, for example to run an audio/visual clip, include QuickTime, RealPlayer, Windows Media Player, Shockwave, Adobe Reader, Flash and Java Sun Microsystems. For a list of plug-ins please visit the websites provided above.